Skip to main content
PUT
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
eks-anywhere
/
commit
Update selected EKS Anywhere commit
curl --request PUT \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commit_id": "<string>"
}
'
{
  "commit_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Body

application/json
commit_id
string
required

Response

Updated EKS Anywhere commit

commit_id
string
required